Bug 524283 - Review Request: plee-the-bear - 2D platform game
Summary: Review Request: plee-the-bear - 2D platform game
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Simon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 524238
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 16:23 UTC by Lubomir Rintel
Modified: 2010-01-19 16:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-19 08:32:06 UTC
cassmodiah: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2009-09-18 16:23:03 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/plee-the-bear.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/plee-the-bear-0.4.1-1.fc12.src.rpm

Description:

Plee the Bear is a 2D platform game like those we found on consoles in the
beginning of the 90's. The basis of the scenario fit in few lines:

4 PM or so, Plee wakes up, tired. He has dreamed again about that awesome
period when he went across the entire world together with his belle. He
puts his leg in the honey pot... empty! Moreover every single honey pot in
the house is empty. "One more trick of that kid", he thinks. "I'm going to
give him such a wallop of which he sure will remember".

Following honey drops on the ground, Plee reaches the edge of the forest.
Beginning of the game.

The game is led by Julien Jorge and Sebastien Angibaud. Nevertheless, the
game counts several contributions from external people.

Comment 1 Xavier Bachelot 2009-09-18 16:43:44 UTC
ah, indeed, libclaw is for plee-the-bear :-)
Again, here are my unfinished spec and srpm, in case there is anything of interest :
http://www.bachelot.org/fedora/SPECS/plee-the-bear.spec
http://www.bachelot.org/fedora/SRPMS/plee-the-bear-0.4-1.fc10.src.rpm

Comment 2 Simon 2009-11-15 15:50:59 UTC
FIX - MUST: $ rpmlint /var/lib/mock/fedora-12-ppc/result/*
plee-the-bear.ppc: E: invalid-soname /usr/lib/libbear_communication.so libbear_communication.so
plee-the-bear.ppc: E: invalid-soname /usr/lib/libbear_debug.so libbear_debug.so
plee-the-bear.ppc: E: invalid-soname /usr/lib/libbear_generic_items.so libbear_generic_items.so
plee-the-bear.ppc: E: invalid-soname /usr/lib/libplee_the_bear.so libplee_the_bear.so
plee-the-bear.ppc: E: invalid-soname /usr/lib/libbear_input.so libbear_input.so
plee-the-bear.ppc: E: invalid-soname /usr/lib/libbear_engine.so libbear_engine.so
plee-the-bear.ppc: E: invalid-soname /usr/lib/libbear-editor.so libbear-editor.so
plee-the-bear.ppc: E: invalid-soname /usr/lib/libbear_visual.so libbear_visual.so
plee-the-bear.ppc: E: invalid-soname /usr/lib/libbear_gui.so libbear_gui.so
plee-the-bear.ppc: E: invalid-soname /usr/lib/libbear_time.so libbear_time.so
plee-the-bear.ppc: E: invalid-soname /usr/lib/libbear_audio.so libbear_audio.so
plee-the-bear.ppc: E: invalid-soname /usr/lib/libbear_universe.so libbear_universe.so
3 packages and 0 specfiles checked; 12 errors, 0 warnings.

OK - MUST: Named according to the Package Naming Guidelines

OK - MUST: Spec file name matches the base package %{name}

OK - MUST: Package meets the Packaging Guidelines

OK - MUST: Fedora approved license and meets the Licensing Guidelines: 


FIX - MUST: License field in spec file doesn't matches the actual license:
License:        GPLv2+ and CC-BY-SA

OK - MUST: License files included in %doc

OK - MUST: Spec is in American English

OK - MUST: Spec is legible

OK - MUST: Sources match the upstream source by MD5
5bb295d36aa92aa7c84e3fceda73e47b

OK - MUST: Successfully compiles and builds into binary rpms on ppc

N/A - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.

OK - MUST: All build dependencies are listed in BuildRequires.

OK - MUST: Handles locales properly with %find_lang

OK - MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun.

N/A - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review.

OK - MUST: Owns all directories that it creates

OK - MUST: No duplicate files in the %files listing

OK - MUST: Permissions on files are set properly, includes %defattr(...)

OK - MUST: Package has a %clean section, which contains rm -rf %{buildroot}.

OK - MUST: Consistently uses macros

OK - MUST: Package contains code, or permissable content

N/A - MUST: Large documentation files should go in a -doc subpackage

OK - MUST: Files included as %doc do not affect the runtime of the application

N/A - MUST: Header files must be in a -devel package

N/A - MUST: Static libraries must be in a -static package

N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig'.

N/A - MUST: If a package contains library files with a suffix, then library
files that end in .so must go in a -devel package.
Doesn't make sense for this package

N/A - MUST: devel packages must require the base package using a fully
versioned dependency

OK - MUST: The package does not contain any .la libtool archives.

N/A - MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.

OK - MUST: Package does not own files or directories already owned by other
packages.

OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot}.

OK - MUST: All filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.

N/A - SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.

OK - SHOULD: Builds in mock.

OK - SHOULD: Compiles and builds into binary rpms on all supported
architectures.

N/A - SHOULD: Functions as described.

FIX - SHOULD: Scriptlets are used, those scriptlets must be sane.
update icon cache scriplet is missing
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

N/A - SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.

N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg

N/A - SHOULD: If the package has file dependencies outside of /etc, /bin,
/sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the
file instead of the file itself.


Other items:
OK - latest stable version

OK - SourceURL valid

OK - Compiler flags ok

OK - Debuginfo complete

FIX - Timestamps
INSTALL="install -p"
SOURCE0 original = 03 Sep 2009 02:32:34 CEST
SOURCE0 package = 16 Sep 2009 00:01 CEST

Comment 3 Lubomir Rintel 2009-11-17 12:25:29 UTC
(In reply to comment #2)
> FIX - MUST: $ rpmlint /var/lib/mock/fedora-12-ppc/result/*
[ ... lots of unverisoned sonames in /usr/lib/libbear_*.so ... ]

These are OK. They are used exclusively by the binaries shipped with the game, we don't even provide a -devel subpackage.

> FIX - MUST: License field in spec file doesn't matches the actual license:
> License:        GPLv2+ and CC-BY-SA

Good catch. Fixed.

> FIX - SHOULD: Scriptlets are used, those scriptlets must be sane.
> update icon cache scriplet is missing
> https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Fixed.

> FIX - Timestamps
> INSTALL="install -p"
> SOURCE0 original = 03 Sep 2009 02:32:34 CEST
> SOURCE0 package = 16 Sep 2009 00:01 CEST  

Done

New package:

SPEC: http://v3.sk/~lkundrak/SPECS/plee-the-bear.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/plee-the-bear-0.4.1-2.fc11.src.rpm

Comment 4 Simon 2009-11-18 09:03:26 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > FIX - MUST: $ rpmlint /var/lib/mock/fedora-12-ppc/result/*
> [ ... lots of unverisoned sonames in /usr/lib/libbear_*.so ... ]
> 
> These are OK. They are used exclusively by the binaries shipped with the game,
> we don't even provide a -devel subpackage.

Wasn't sure. rpmlint is a good help, but it can't know all...

+APPROVED+

Comment 5 Lubomir Rintel 2009-11-23 23:15:03 UTC
Thanks for the review

New Package CVS Request
=======================
Package Name: plee-the-bear
Short Description: 2D platform game
Owners: lkundrak
Branches: F-11 F-12 EL-5

Comment 6 Kevin Fenzi 2009-11-24 02:21:07 UTC
cvs done.

Comment 7 Simon 2010-01-19 08:32:06 UTC
is in Fedora! closed!

Comment 8 Pavel Alexeev 2010-01-19 15:55:41 UTC
Excuse me, do you plan push it in all requested branches but not only rawhide?

Comment 9 Lubomir Rintel 2010-01-19 16:22:34 UTC
No, I do not. Whenever you intend to do anything with the package I would not, feel free to add yourself as comaintainer.


Note You need to log in before you can comment on or make changes to this bug.